UMA High Elf Armor

$35.00

Requires Unity 4.5.3 or higher.

versions available:

Unity 5.0 (UMA 2.0) PBR Textures, Modular Overlays and Slots
Unity 4.5.3 (UMA 1.2) Legacy

Files include:

FBX
Slots
Overlays
Textures: UMA 2.0 (Albedo, Normal, Metallic, Albedo Color)
UMA 1.2 (Diffuse, Normals, and Specular

Slot parts are:

Helmet
Upperbody
Lowerbody
Gloves
Boots
Shoulders
Sword
Shield

Twitter:
Link

Interchangeable with other MB1 FB1 refits

Category:

Description

Version

Unity 5.1.2 UMA 2

Reviews

There are no reviews yet.

Only logged in customers who have purchased this product may leave a review.